using UnityEngine.Events;
using Object = UnityEngine.Object;

namespace ChillConnect
{
    public interface ILoadAsset
    {
        T GetAsset<T>(string dfsad, string sa) where T : Object;


        void GetAsset<T>(string dfsad, string sa, UnityAction<T> onCompleted) where T : Object;


        void RecycleAsset(string assetUrl, UnityAction onCompleted);
    }
}